﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	Private btn1 As B4XView
	Private btn2 As B4XView
	Private lblLogin As B4XView
	Private pnlLogin As B4XView
	Private pnlSignUp As B4XView
	Private pnlSocialMedia As B4XView
	Private btn3 As B4XView
	Private lblSignIn As B4XView
	Private kb As IME2
	Private btnLogo As B4XView
	Dim SignInColour As Int = 0xFF001789
	Dim LoginColour As Int = 0xFF18B800
	Private txtEmailSignUp As BRB4XFloatTextField
	Private txtPassword1SignUp As BRB4XFloatTextField
	Private txtPassword2SignUp As BRB4XFloatTextField
	Private txtEmail As BRB4XFloatTextField
	Private txtPasword As BRB4XFloatTextField
	Private LoginShowing As Boolean = True
End Sub

Public Sub Initialize
	
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	InitialiseForm
	ShowLogin
	kb.Initialize("kb")
	kb.AddHeightChangedEvent
	InitialiseForm
	ShowLogin
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.

Sub Button1_Click
	xui.MsgboxAsync("Hello world!", "B4X")
End Sub

Sub InitialiseForm
	btnLogo.SetLayoutAnimated(10, 40%x - (btnLogo.Width/2), 5%y, btnLogo.Width, btnLogo.Height)
	btnLogo.TextColor = LoginColour
	
	pnlLogin.SetLayoutAnimated(10,0,0,80%x, 100%y)
	pnlSignUp.SetLayoutAnimated(10,20%x, 0, 80%x, 100%y)
	pnlSocialMedia.SetLayoutAnimated(10, 0, 80%y, 80%x, pnlSocialMedia.Height)
	
	
	btn1.SetLayoutAnimated(10, 15%x - (btn1.Width/2), btn1.Top, btn1.Width, btn1.Height) 
	btn2.SetLayoutAnimated(10, 40%x - (btn2.Width/2), btn1.Top, btn2.Width, btn2.Height)
	btn3.SetLayoutAnimated(10, 65%x - (btn3.Width/2), btn1.Top, btn3.Width, btn3.Height)

	btn1.TextColor = LoginColour
	btn2.TextColor = LoginColour
	btn3.TextColor = LoginColour

	lblLogin.SetLayoutAnimated(10, 0, 60%y, 80%x, lblLogin.Height)
	lblSignIn.SetLayoutAnimated(10, 0, 60%y, 85%x, 80dip)
	
End Sub

Sub ShowLogin
	LoginShowing = True
	pnlSignUp.SetLayoutAnimated(500,85%x,0,85%x, 100%y)
	pnlLogin.SetLayoutAnimated(500,0,0,85%x, 100%y)
	
	btnLogo.SetLayoutAnimated(500, 40%x - (btnLogo.Width/2), btnLogo.Top, btnLogo.Width, btnLogo.Height)
	pnlSocialMedia.SetLayoutAnimated(500, 0, 85%y, 80%x, pnlSocialMedia.Height)
	
	'lblLogin.SetLayoutAnimated(500, 0, 60%y, 85%x, lblLogin.Height)
	'lblLogin.SetRotationAnimated(500, 0)
	
	btnLogo.TextColor = LoginColour
	btn1.TextColor = LoginColour
	btn2.TextColor = LoginColour
	btn3.TextColor = LoginColour
	
	lblSignIn.SetLayoutAnimated(500, (lblSignIn.Width / 2 * -1) + (lblSignIn.Height * .5), (100%y * 0.5) - (lblSignIn.width * 0.20), lblSignIn.Width, lblSignIn.Height)
	lblSignIn.SetRotationAnimated(500, 90)
	
	txtEmail.TextField.Enabled = True
	txtPasword.TextField.Enabled = True
	
	txtEmailSignUp.TextField.Enabled = False
	txtPassword1SignUp.TextField.Enabled = False
	txtPassword2SignUp.TextField.Enabled = False

End Sub

Sub ShowSignUp
	LoginShowing = False
	pnlLogin.SetLayoutAnimated(500, (pnlLogin.width - 15%x) * -1, 0, pnlLogin.width, pnlLogin.height)
	pnlSignUp.SetLayoutAnimated(500, 15%x, 0, 85%x, 100%y)
	
	btnLogo.SetLayoutAnimated(500, 60%x - (btnLogo.Width/2), btnLogo.Top, btnLogo.Width, btnLogo.Height)
	pnlSocialMedia.SetLayoutAnimated(500, 20%x, 85%y, 80%x, pnlSocialMedia.Height)

	btnLogo.TextColor = SignInColour
	btn1.TextColor = SignInColour
	btn2.TextColor = SignInColour
	btn3.TextColor = SignInColour

	lblSignIn.SetLayoutAnimated(500, 0, 60%y, 85%x, 80dip)
	lblSignIn.SetRotationAnimated(500, 0)

	lblLogin.SetRotationAnimated(600, -90)
	lblLogin.SetLayoutAnimated(600, 80%x - 60dip, 100%y, 100%y,80dip)
	
	txtEmail.TextField.Enabled = False
	txtPasword.TextField.Enabled = False
	
	txtEmailSignUp.TextField.Enabled = True
	txtPassword1SignUp.TextField.Enabled = True
	txtPassword2SignUp.TextField.Enabled = True
End Sub




Sub lblLogin_Click
	ShowLogin
	lblLogin.SetRotationAnimated(500, 0)
	lblLogin.SetLayoutAnimated(500, 0, 60%y, 85%x, lblLogin.Height)
	
End Sub

Sub lblSignIn_Click
	ShowSignUp
End Sub

Sub kb_HeightChanged(NewHeight As Int, OldHeight As Int)
	If NewHeight < OldHeight Then	' no idea why this is backward
		If LoginShowing Then
			lblLogin.SetLayoutAnimated(200, 0, 40%y, lblLogin.width, lblLogin.Height)
		Else
			lblSignIn.SetLayoutAnimated(200, 0, 40%y, 85%x, 80dip)
		End If
	Else
		If LoginShowing Then
			lblLogin.SetLayoutAnimated(500, 0, 60%y, lblLogin.width, lblLogin.Height)
		Else
			lblSignIn.SetLayoutAnimated(500, 0, 60%y, 85%x, 80dip)
		End If
	End If
End Sub

Sub txtPasword_EnterPressed
	
End Sub

Sub txtPassword2SignUp_EnterPressed
	
End Sub